Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.channels.groupsmanager
Interface GroupsManagerConstants

All Known Implementing Classes:
  AddMembers, AssignPermissions, CancelSelection, CGroupsManager, CGroupsManagerServantFactory, CGroupsManagerSessionData, CGroupsManagerUnrestrictedSessionData, CollapseGroup, CreateGroup, DeleteGroup, DoneWithSelection, EditGroup, EntityWrapper, ExpandGroup, GroupMemberWrapper, GroupsManagerAdminPermissions, GroupsManagerBlockEntitySelectPermissions, GroupsManagerCommand, GroupsManagerCommandFactory, GroupsManagerDefaultPermissions, GroupsManagerWrapperFactory, GroupsManagerXML, GroupWrapper, HideProperties, HighlightGroup, RemoveMember, Search, SelectMembers, ShowProperties, UnlockGroup, UpdateGroup, Utility

    public interface GroupsManagerConstants

An interface that holds global variables uses to externalize settings from the classes that use them.

Version:
  $Revision: 1.11 $
Author:
  Don Fracapane

Field Summary
`static java.lang.String` | `ADD_REMOVE_PERMISSION`
`static java.lang.String` | `ASSIGN_PERMISSION`
`static java.lang.String` | `BASE_PACKAGE`
`static java.lang.String` | `BROWSE_MODE`
`static java.lang.String` | `COMMANDS_PACKAGE`
`static java.lang.String` | `CREATE_PERMISSION`
`static java.lang.String` | `DELETE_PERMISSION`
`static java.lang.String` | `EDIT_MODE`
`static java.lang.String` | `ENTITY_CLASSNAME`
`static java.lang.String` | `ENTITY_TAGNAME`
`static java.lang.String` | `GROUP_CLASSNAME`
`static java.lang.String` | `GROUP_TAGNAME`
`static java.lang.String` | `GROUPS_PACKAGE`
`static java.lang.String` | `MEMBERS_ONLY_MODE`
`static java.lang.String` | `OWNER`
`static java.lang.String` | `PROPERTIES_TAGNAME`
`static java.lang.String` | `ROOT_GROUP_DESCRIPTION`
`static java.lang.String` | `ROOT_GROUP_TITLE`
`static java.lang.String` | `SECURITY_PACKAGE`
`static java.lang.String` | `SELECT_MODE`
`static java.lang.String` | `SELECT_PERMISSION`
`static java.lang.String` | `UPDATE_PERMISSION`
`static java.lang.String` | `VIEW_PERMISSION`
`static java.lang.String` | `WRAPPERS_PACKAGE`

Field Detail

### BASE_PACKAGE

    static final java.lang.String BASE_PACKAGE

See Also:
  Constant Field Values

### COMMANDS_PACKAGE

    static final java.lang.String COMMANDS_PACKAGE

See Also:
  Constant Field Values

### WRAPPERS_PACKAGE

    static final java.lang.String WRAPPERS_PACKAGE

See Also:
  Constant Field Values

### GROUPS_PACKAGE

    static final java.lang.String GROUPS_PACKAGE

See Also:
  Constant Field Values

### SECURITY_PACKAGE

    static final java.lang.String SECURITY_PACKAGE

See Also:
  Constant Field Values

### GROUP_CLASSNAME

    static final java.lang.String GROUP_CLASSNAME

See Also:
  Constant Field Values

### ENTITY_CLASSNAME

    static final java.lang.String ENTITY_CLASSNAME

See Also:
  Constant Field Values

### OWNER

    static final java.lang.String OWNER

See Also:
  Constant Field Values

### ENTITY_TAGNAME

    static final java.lang.String ENTITY_TAGNAME

See Also:
  Constant Field Values

### GROUP_TAGNAME

    static final java.lang.String GROUP_TAGNAME

See Also:
  Constant Field Values

### PROPERTIES_TAGNAME

    static final java.lang.String PROPERTIES_TAGNAME

See Also:
  Constant Field Values

### ROOT_GROUP_TITLE

    static final java.lang.String ROOT_GROUP_TITLE

See Also:
  Constant Field Values

### ROOT_GROUP_DESCRIPTION

    static final java.lang.String ROOT_GROUP_DESCRIPTION

See Also:
  Constant Field Values

### BROWSE_MODE

    static final java.lang.String BROWSE_MODE

See Also:
  Constant Field Values

### EDIT_MODE

    static final java.lang.String EDIT_MODE

See Also:
  Constant Field Values

### SELECT_MODE

    static final java.lang.String SELECT_MODE

See Also:
  Constant Field Values

### MEMBERS_ONLY_MODE

    static final java.lang.String MEMBERS_ONLY_MODE

See Also:
  Constant Field Values

### VIEW_PERMISSION

    static final java.lang.String VIEW_PERMISSION

See Also:
  Constant Field Values

### CREATE_PERMISSION

    static final java.lang.String CREATE_PERMISSION

See Also:
  Constant Field Values

### UPDATE_PERMISSION

    static final java.lang.String UPDATE_PERMISSION

See Also:
  Constant Field Values

### DELETE_PERMISSION

    static final java.lang.String DELETE_PERMISSION

See Also:
  Constant Field Values

### SELECT_PERMISSION

    static final java.lang.String SELECT_PERMISSION

See Also:
  Constant Field Values

### ADD_REMOVE_PERMISSION

    static final java.lang.String ADD_REMOVE_PERMISSION

See Also:
  Constant Field Values

### ASSIGN_PERMISSION

    static final java.lang.String ASSIGN_PERMISSION

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD